<ion-content>
    <ion-toolbar>
        <ion-buttons slot="start">
            <ion-menu-button></ion-menu-button>
        </ion-buttons>
        <ion-item>
            <ion-label>{{ 'Demand' | translate }}</ion-label>
        </ion-item>
    </ion-toolbar>
    <ion-refresher slot="fixed" (ionRefresh)="onRefresh($event)">
        <ion-refresher-content pullingIcon="arrow-down" refreshingSpinner="circles">
        </ion-refresher-content>
    </ion-refresher>

    <ion-button (click)="addDemandLog()" expand="block">{{ 'Add Demand' | translate }}</ion-button>

     <div *ngIf="!this.cache?.isLoading">

        <ion-grid>
         <ion-row>
        <ion-col>
         <ion-label>{{ 'Amount' | translate }}</ion-label>
         </ion-col>
         <ion-col>
        <ion-label>{{ 'Title' | translate }}</ion-label>
        </ion-col>
        <ion-col>
         <ion-label>{{ 'Apartment' | translate }}</ion-label>
         </ion-col>
          <ion-col>
         <ion-label>{{ 'Payment Status' | translate }}</ion-label>
         </ion-col>
          <ion-col>
         <ion-label>{{ 'Created Date' | translate }}</ion-label>
         </ion-col>
        </ion-row>
            <ion-row *ngFor="let demandLog of this.cache?.objects; index as i" [routerLink]="['/society/accounting/demand/update-demand',demandLog.id]">
                <ion-col>

                    <ion-label>
                        ₹ {{demandLog.demand.amount}}
                    </ion-label>
                </ion-col>
                <ion-col>
                    <ion-label>
                        {{demandLog.demand.name}}
                    </ion-label>
                </ion-col>
                <ion-col>
                    <ion-label>
                        {{demandLog.payee.name}}
                    </ion-label>
                </ion-col>
                <ion-col>
                    <ion-label>
                        {{demandLog.paymentStatus}}
                    </ion-label>
                </ion-col>
                <ion-col>
                    <ion-label>
                        {{getLocalTime(demandLog.demand.createdOn) | date:'medium'}}
                    </ion-label>
                </ion-col>
            </ion-row>
        </ion-grid>
        <ion-card *ngIf="!this.cache?.isLoading && this.cache?.objects.length==0">
            <ion-item>
                <ion-label>{{ 'No records found!!!' | translate }}</ion-label>
            </ion-item>
        </ion-card>

        <ion-infinite-scroll threshold="100px" (ionInfinite)="loadNext($event)">
            <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="Loading ...">
            </ion-infinite-scroll-content>
        </ion-infinite-scroll>

        <div style="height: 100px;">&nbsp;</div>
    </div>

    <ion-card *ngIf="this.cache?.isLoading && this.cache?.objects.length==0">
        <ion-card-header>
            <ion-card-title>
                <ion-skeleton-text animated></ion-skeleton-text>
            </ion-card-title>
            <ion-card-subtitle>
                <ion-skeleton-text animated></ion-skeleton-text>
            </ion-card-subtitle>
        </ion-card-header>

        <ion-card-content>
            <ion-item>
                <ion-label>
                    <ion-skeleton-text animated></ion-skeleton-text>
                </ion-label>
            </ion-item>
            <div>
                <ion-skeleton-text animated></ion-skeleton-text>
                <ion-skeleton-text animated></ion-skeleton-text>
                <ion-skeleton-text animated></ion-skeleton-text>
                <ion-skeleton-text animated></ion-skeleton-text>
                <ion-skeleton-text animated></ion-skeleton-text>
            </div>
        </ion-card-content>
    </ion-card>
</ion-content>